Package org.apache.storm.generated

# Class GlobalStreamId

java.lang.Object
org.apache.storm.generated.GlobalStreamId

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<GlobalStreamId>`, `org.apache.storm.thrift.TBase<GlobalStreamId,GlobalStreamId._Fields>`, `org.apache.storm.thrift.TSerializable`

@Generated("Autogenerated by Thrift Compiler (0.19.0)") public class GlobalStreamId extends Object implements org.apache.storm.thrift.TBase<GlobalStreamId,GlobalStreamId._Fields>, Serializable, Cloneable, Comparable<GlobalStreamId>

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `GlobalStreamId._Fields`
  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Map<GlobalStreamId._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>`
  `metaDataMap`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GlobalStreamId()`
  `GlobalStreamId(String componentId, String streamId)`
  `GlobalStreamId(GlobalStreamId other)`
  Performs a deep copy on other.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  `int`
  `compareTo(GlobalStreamId other)`
  `GlobalStreamId`
  `deepCopy()`
  `boolean`
  `equals(Object that)`
  `boolean`
  `equals(GlobalStreamId that)`
  `GlobalStreamId._Fields`
  `fieldForId(int fieldId)`
  `String`
  `get_componentId()`
  `String`
  `get_streamId()`
  `Object`
  `getFieldValue(GlobalStreamId._Fields field)`
  `int`
  `hashCode()`
  `boolean`
  `is_set_componentId()`
  Returns true if field componentId is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_streamId()`
  Returns true if field streamId is set (has been assigned a value) and false otherwise
  `boolean`
  `isSet(GlobalStreamId._Fields field)`
  Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
  `void`
  `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
  `void`
  `set_componentId(String componentId)`
  `void`
  `set_componentId_isSet(boolean value)`
  `void`
  `set_streamId(String streamId)`
  `void`
  `set_streamId_isSet(boolean value)`
  `void`
  `setFieldValue(GlobalStreamId._Fields field, Object value)`
  `String`
  `toString()`
  `void`
  `unset_componentId()`
  `void`
  `unset_streamId()`
  `void`
  `validate()`
  `void`
  `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### metaDataMap

    public static final Map<GlobalStreamId._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

- ## Constructor Details

  - ### GlobalStreamId

    public GlobalStreamId()

  - ### GlobalStreamId

    public GlobalStreamId(String componentId, String streamId)

  - ### GlobalStreamId

    public GlobalStreamId(GlobalStreamId other)
    Performs a deep copy on other.

- ## Method Details

  - ### deepCopy

    public GlobalStreamId deepCopy()
    Specified by:
      `deepCopy` in interface `org.apache.storm.thrift.TBase<GlobalStreamId,GlobalStreamId._Fields>`

  - ### clear

    public void clear()
    Specified by:
      `clear` in interface `org.apache.storm.thrift.TBase<GlobalStreamId,GlobalStreamId._Fields>`

  - ### get_componentId

    public String get_componentId()

  - ### set_componentId

    public void set_componentId(String componentId)

  - ### unset_componentId

    public void unset_componentId()

  - ### is_set_componentId

    public boolean is_set_componentId()
    Returns true if field componentId is set (has been assigned a value) and false otherwise

  - ### set_componentId_isSet

    public void set_componentId_isSet(boolean value)

  - ### get_streamId

    public String get_streamId()

  - ### set_streamId

    public void set_streamId(String streamId)

  - ### unset_streamId

    public void unset_streamId()

  - ### is_set_streamId

    public boolean is_set_streamId()
    Returns true if field streamId is set (has been assigned a value) and false otherwise

  - ### set_streamId_isSet

    public void set_streamId_isSet(boolean value)

  - ### setFieldValue

    public void setFieldValue(GlobalStreamId._Fields field, Object value)
    Specified by:
      `setFieldValue` in interface `org.apache.storm.thrift.TBase<GlobalStreamId,GlobalStreamId._Fields>`

  - ### getFieldValue

    public Object getFieldValue(GlobalStreamId._Fields field)
    Specified by:
      `getFieldValue` in interface `org.apache.storm.thrift.TBase<GlobalStreamId,GlobalStreamId._Fields>`

  - ### isSet

    public boolean isSet(GlobalStreamId._Fields field)
    Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    Specified by:
      `isSet` in interface `org.apache.storm.thrift.TBase<GlobalStreamId,GlobalStreamId._Fields>`

  - ### equals

    public boolean equals(Object that)
    Overrides:
      `equals` in class `Object`

  - ### equals

    public boolean equals(GlobalStreamId that)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### compareTo

    public int compareTo(GlobalStreamId other)
    Specified by:
      `compareTo` in interface `Comparable<GlobalStreamId>`

  - ### fieldForId

    public GlobalStreamId._Fields fieldForId(int fieldId)
    Specified by:
      `fieldForId` in interface `org.apache.storm.thrift.TBase<GlobalStreamId,GlobalStreamId._Fields>`

  - ### read

    public void read(org.apache.storm.thrift.protocol.TProtocol iprot) throws org.apache.storm.thrift.TException
    Specified by:
      `read` in interface `org.apache.storm.thrift.TSerializable`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### write

    public void write(org.apache.storm.thrift.protocol.TProtocol oprot) throws org.apache.storm.thrift.TException
    Specified by:
      `write` in interface `org.apache.storm.thrift.TSerializable`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### validate

    public void validate() throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`